Subject: bug#64998: 29.1; `emoji-search' (C-x 8 e s) command can not be repeated using `repeat' (C-x z)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Sep 2023 14:28:45 +0300

> From: Jonas Bernoulli <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 03 Sep 2023 22:57:44 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I see you installed this on master.  I would like to fix this on the
> > emacs-29 branch instead, since these commands are new in Emacs 29.  Do
> > you think it's okay to cherry-pick your two commits to emacs-29?
> 
> Yes, that should be totally safe, even without the changes since the
> Transient version in Emacs 29.1.

Alas, it doesn't apply without conflicts, and changes some code that
doesn't exist on emacs-29 (emoji-insert-glyph etc.).  emoji.el on
master is quite different from the emacs-29 branch, so I'm afraid the
release branch will need a separate change, marked with "Do not merge
to master" in the commit log.  Is that possible/reasonable?

> Going forward there will also be non-bugfixes again, I guess I'll have
> to stop merging into emacs-29, once I get there?

Probably.

Thanks.